<?php

namespace app\admin\controller;

use app\common\controller\Backend;

/**
 * sim-故障管理
 *
 * @icon fa fa-circle-o
 */
class Fault extends Backend
{

    /**
     * Fault模型对象
     * @var \app\admin\model\Fault
     */
    protected $model = null;
    protected $noNeedRight = ['getdatalist','selectpage'];

    public function _initialize()
    {

        parent::_initialize();
        $this->model = new \app\admin\model\Fault;

    }



    /**
     * 默认生成的控制器所继承的父类中有index/add/edit/del/multi五个基础方法、destroy/restore/recyclebin三个回收站方法
     * 因此在当前控制器中可不用编写增删改查的代码,除非需要自己控制这部分逻辑
     * 需要将application/admin/library/traits/Backend.php中对应的方法复制到当前控制器,然后进行修改
     */

    //根据 模拟器类型，选择模拟器二级和三级列表
    public function getdatalist()
    {
        $simtype = input('simtype','simtype');
        if(!$simtype){
            $this->error('模拟器类型有误');
        }
        $where = [
            'sim_type' => $simtype,
            'fault_type' => 1,
            'fault_state'=>0
        ];
        $selectData = $this->model->where($where)->select();
        foreach ($selectData as $key => $value){
            $children = $this->model->where(['parent_fault_id'=>$value['fault_id'],'fault_type' => 3,'fault_state'=>0])->select();
            $selectData[$key]['children'] = $children;
        }
        unset($value);
        $selectData = collection($selectData)->toArray();
        $result = array("code" => 1,"msg" => '获取成功', "data" => $selectData);
        return json($result);
    }

    /**
     * 下拉搜索
     */
    public function selectpage()
    {
//        $this->dataLimit = 'auth';
        $this->dataLimitField = 'fault_id';
        return parent::selectpage();
    }

}
